Retrieve all questions

Retrieve all Questions for the designated account per Yotpo account API key.
To return only new questions, query the status_type as status_type=new
new_questions refers to questions that are unanswered and have not been archived.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

How to use this endpoint

  • For example responses, click the relevant status code on the right.

Retrieving new questions

To return only new questions, query the status_type as status_type=new

  • new_questions refers to questions that are unanswered and have not been archived.
GET https://api.yotpo.com/apps/YOUR_STORE_ID/questions.json?status_type=new&count=1&page=1
X-Yotpo-Token: YOUR_ACCESS_TOKEN
📘

App partners

Partner apps call this endpoint at GET https://developers.yotpo.com/v2/{account_id}/questions, with the access token the merchant's install gave you in the X-Yotpo-Token header. See Authenticating with OAuth 2.0.

Path Params
string
required

The store ID

Query Params
string

Filter for new questions by adding status_type=new

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json